Pataisymas: „Nexus Mod Manager“ nepavyko gauti informacijos apie versiją iš atnaujinimo serverio

Pataria: Spauskite Čia Norėdami Nustatyti Windows Klaidų Ir Optimizuoti Sistemos Veikimą

„Nexus Mod Manager“ yra atvirojo kodo programa, susieta su „Nexus Mods“. Programą galima naudoti „Windows“ ir ji leidžia vartotojams automatiškai atsisiųsti ir įdiegti žaidimų modifikacijas. Tačiau visai neseniai atsirado daug pranešimų apie vartotojus, kurie nepajėgia gauti programos atnaujinimų. Bandant atnaujinti programa rodo klaidą „Nexus Mod Manager Updater: Nepavyko gauti versijos informacijos iš naujinimo serverio“.

Klaidos pranešimas „Atnaujinti nepavyko“.

Kas sukelia „Nexus Mod“ tvarkyklės naujinimo klaidą?

Ištyrę šį klausimą, mes sugalvojome sprendimų rinkinį, kuris išsprendė klaidą daugumai mūsų vartotojų. Be to, mes pažvelgėme į problemos priežastis ir keletas dažniausiai pasitaikančių yra išvardytos žemiau.

  • Administravimo privilegijos: Kai kuriais atvejais ši klaida gali atsirasti dėl to, kad programai trūksta leidimų. Kai paleidimo priemonė bando užmegzti ryšį su serveriais ir įrašyti į standųjį diską, nepakankami leidimai neleidžia to daryti.
  • Ugniasienė: Kartais „Windows“ ugniasienė gali blokuoti tam tikrus programos elementus susisiekti su serveriais. Tai gali užkirsti kelią klientui atnaujinti, todėl gali atsirasti ši klaida.
  • Protokolo klaida: Ankstesnėse programos versijose buvo naudojamas HTTP protokolas. Tačiau naujesnėse versijose naudojamas HTTP protokolas. HTTP protokolas yra būtinas dėl neseniai Europoje priimtų įstatymų, dėl kurių visos svetainės turi naudoti HTTP protokolą. „Nexus Mods“ taip pat atnaujinta į HTTP protokolą. Todėl senesnės programos versijos nebegali prisijungti.
  • Pasenusi programa: kai kuriais atvejais buvo pranešta, kad ši klaida atsirado naujesnėse programos versijose. Todėl buvo išleista nauja programos versija, kad būtų galima ištaisyti šią klaidą, tačiau „Nexus Mods“ svetainė neatnaujino savo duomenų bazės į naujesnę programos versiją. Tačiau atnaujinimą galima rasti „Git Hub“ svetainėje.

Dabar, kai jau supratote problemos pobūdį, pereisime prie sprendimų. Svarbu, kad jūs įgyvendintumėte šiuos sprendimus tam tikra tvarka, kokia jie yra pateikti.

1 sprendimas: administracinių privilegijų suteikimas.

Kai kuriais atvejais ši klaida gali atsirasti dėl to, kad programai trūksta leidimų. Kai paleidimo priemonė bando užmegzti ryšį su serveriais ir įrašyti į standųjį diską, nepakankami leidimai neleidžia to daryti. Todėl šiame žingsnyje programai suteiksime administracines privilegijas. Už tai:

  1. Dešiniuoju pelės mygtuku spustelėkite vykdomąją programą.
  2. Pasirinkite „ Ypatybės “.
  3. Spustelėkite skirtuką „ Suderinamumas “ ir pažymėkite laukelį „ Vykdyti kaip administratorių “.
  4. Pabandykite paleisti programą ir patikrinkite, ar problema išlieka.

    Suteikiami administraciniai leidimai.

2 sprendimas: Prieigos suteikimas užkardoje.

Kartais „Windows“ ugniasienė gali blokuoti tam tikrus programos elementus susisiekti su serveriais. Tai gali užkirsti kelią klientui atnaujinti, todėl gali atsirasti ši klaida. Todėl šiame žingsnyje mes suteiksime programai išimtį „Windows“ užkardoje. Už tai:

  1. Spustelėkite meniu Pradėti ir pasirinkite piktogramą „ Nustatymai “.
  2. Nustatymuose spustelėkite parinktį „ Atnaujinimai ir sauga “.
  3. Kairiojoje srityje pasirinkite parinktį „ Windows sauga “.
  4. Spustelėkite parinktįUgniasienė ir tinklo apsauga “.
  5. Pasirinkite parinktįLeisti programai per ugniasienę “.
  6. Norėdami suteikti reikiamus leidimus, spustelėkite „ Keisti nustatymus “.
  7. Leisti „ Nexus Mod Manager “ ir visoms su NMM susijusioms programoms per viešuosius ir privačius tinklus.
  8. Spustelėkite „ Gerai “, paleiskite programą ir patikrinkite, ar problema išlieka.

    Programos leidimas naudojant užkardą.

3 sprendimas: programos atnaujinimas.

Įvyko klaida su senesne programos versija, dėl kurios įvyko klaida. Be to, senesnės programos versijos naudojo HTTP protokolą, o ne HTTP protokolą. Kadangi „Nexus Mods“ atnaujino savo serverius, kad būtų naudojamas „HTTP“ protokolas, senesnės versijos tapo nenaudingos. Todėl šiame žingsnyje mes išspręsime abi šias problemas atnaujindami programą į naujausią versiją.

  1. PašalinkiteNexus Mod“ tvarkyklę .
  2. Spustelėkite čia, kad atsisiųstumėte naujausią programos versiją.
  3. Atsisiuntę įdiekite programą.

    Programos diegimas.
  4. Pabandykite paleisti „Nexus Mod“ tvarkyklę ir patikrinkite, ar problema išlieka.

Įdomios Straipsniai